#if !defined(AFX_CANCELDLG_H__94E4B0F4_1277_11D3_83FF_0008C73BB59A__INCLUDED_)
#define AFX_CANCELDLG_H__94E4B0F4_1277_11D3_83FF_0008C73BB59A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CancelDlg.h : header file
//

#include "MSQuery.h"

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CCancelDlg dialog
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

class CCancelDlg : public CDialog
{
  // Classwizard generated functions
	public:
	CCancelDlg(CWnd* pParent = NULL);   // standard constructor
	// Dialog Data
	//{{AFX_DATA(CCancelDlg)
	enum { IDD = IDD_CANCELDLG };
	//}}AFX_DATA
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCancelDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	// Implementation
	protected:
	// Generated message map functions
	//{{AFX_MSG(CCancelDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  // My routines

	// Members
	protected:
	CMSQuery *m_query;			// a pointer to an msquery object
	CString	  m_sqlstring;		// the sqlstring
	CString   m_connection;		// the connectionstring
	BOOL	  m_queryOK;		// Is he query ok ??

	// Communication functions
	public:
	void SetSqlString(CString & str) {m_sqlstring = str; }			// Set the sqlstring
	void SetConnectString(CString & str) {m_connection = str; }		// Set the connectionstring
	CString GetQuery() {return m_sqlstring; }						// returns the sqlstring
	CString GetConnect() {return m_connection; }					// returns the connectionstring
	BOOL IsQueryOK() { return m_queryOK; }							// check if the query is ok

	// Overloaded function
	protected:
	virtual void OnOK() {}			// Do nothing


};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CANCELDLG_H__94E4B0F4_1277_11D3_83FF_0008C73BB59A__INCLUDED_)
