// MSQueryExampleDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MSQueryExample.h"
#include "MSQueryExampleDlg.h"
#include "CancelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
class CAboutDlg : public CDialog
{
  // Classwizard generated
	public:
	CAboutDlg();
	// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	// Implementation
	protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  // My routines

};

//======================================================
// CAboutDlg::CAboutDlg()
//======================================================
CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

//======================================================
// CAboutDlg::DoDataExchange
//======================================================
void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

//======================================================
// CAboutDlg Message map 
//======================================================
BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()



/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CMSQueryExampleDlg Construction/destruction/initialisation
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////


//======================================================
// CMSQueryExampleDlg::CMSQueryExampleDlg
//======================================================
CMSQueryExampleDlg::CMSQueryExampleDlg(CWnd* pParent /*=NULL*/)
: CDialog(CMSQueryExampleDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMSQueryExampleDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

//======================================================
// CMSQueryExampleDlg::DoDataExchange
//======================================================
void CMSQueryExampleDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMSQueryExampleDlg)
	//}}AFX_DATA_MAP
}

//======================================================
// CMSQueryExampleDlg MesssageMap
//======================================================
BEGIN_MESSAGE_MAP(CMSQueryExampleDlg, CDialog)
	//{{AFX_MSG_MAP(CMSQueryExampleDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUILD_BUTTON, OnBuildButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CMSQueryExampleDlg message handlers
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

//======================================================
// CMSQueryExampleDlg::OnInitDialog
//======================================================
BOOL CMSQueryExampleDlg::OnInitDialog()
{
	// Call parent
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

//======================================================
// CMSQueryExampleDlg::OnSysCommand 
//======================================================
void CMSQueryExampleDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}


//======================================================
// CMSQueryExampleDlg::OnPaint
//======================================================
void CMSQueryExampleDlg::OnPaint() 
{
	// When it's an icon
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

//======================================================
// CMSQueryExampleDlg::OnQueryDragIcon
//======================================================
HCURSOR CMSQueryExampleDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

//======================================================
// OnBuildButton - the user presses the build button
//======================================================
void CMSQueryExampleDlg::OnBuildButton() 
{
	// The strings of the edit controls
	CString strQuery, strConnection;
	CEdit *pQueryEdit = (CEdit*)GetDlgItem(IDC_QUERY_EDIT);
	CEdit *pConnectionEdit = (CEdit*)GetDlgItem(IDC_CONNECTION_EDIT);
	ASSERT(pQueryEdit);
	ASSERT(pConnectionEdit);

	pQueryEdit->GetWindowText(strQuery);
	pConnectionEdit->GetWindowText(strConnection);
	

	// Initialise the cancel dialog 
	CCancelDlg d;
	d.SetConnectString(strConnection);
	d.SetSqlString(strQuery);

	// Show the dialog
	d.DoModal();	

	// Get the results
	pConnectionEdit->SetWindowText(d.GetConnect());
	pQueryEdit->SetWindowText(d.GetQuery());

}
